Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JEditorPaneRtfMarkupProcessor

    java.lang.Object
      net.sf.jasperreports.engine.util.JEditorPaneMarkupProcessor
          net.sf.jasperreports.engine.util.JEditorPaneRtfMarkupProcessor

All Implemented Interfaces:
  MarkupProcessor

    public class JEditorPaneRtfMarkupProcessor

extends JEditorPaneMarkupProcessor

Version:
  $Id: JEditorPaneRtfMarkupProcessor.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.util.JEditorPaneMarkupProcessor
`JEditorPaneMarkupProcessor.HtmlFactory, JEditorPaneMarkupProcessor.RtfFactory`

Constructor Summary
`JEditorPaneRtfMarkupProcessor()`

Method Summary
`protected void` | `addElements(java.util.List elements, javax.swing.text.Element element)`
`java.lang.String` | `convert(java.lang.String srcText)`
`static JEditorPaneRtfMarkupProcessor` | `getInstance()`

Methods inherited from class net.sf.jasperreports.engine.util.JEditorPaneMarkupProcessor
`getAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEditorPaneRtfMarkupProcessor

    public JEditorPaneRtfMarkupProcessor()

Method Detail

### getInstance

    public static JEditorPaneRtfMarkupProcessor getInstance()

### convert

    public java.lang.String convert(java.lang.String srcText)

  Specified by:
    `convert` in interface `MarkupProcessor`
  Specified by:
    `convert` in class `JEditorPaneMarkupProcessor`

### addElements

    protected void addElements(java.util.List elements,
                               javax.swing.text.Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com